//Copyright (C) 2004, Brian Enigma <enigma at netninja.com>
//This file is part of Tasty Safari.
//
//Tasty Safari is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation; either version 2 of the License, or
//(at your option) any later version.
//
//Tasty Safari is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with Foobar; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package org.ninjasoft.tastysafari.data;

/**
 * This exception is used to signify I made an incorrect assumption about the Bookmarks.plist
 * format.  Instead of blindly performing actions, a lot of sanity-checks are made against what
 * is expected v. what is really there.  If any of these sanity-checks fail, this exception is
 * thrown.
 * @author enigma
 */
public class UnexpectedXmlFileFormatException extends Exception {
    public UnexpectedXmlFileFormatException(String message) {
        super(message);
    }
}
